Skip to main content
PUT
/
public
/
v1
/
recurring
/
invoices
/
{record_number}
Update RecurringInvoice record
curl --request PUT \
  --url https://api.dualentry.com/public/v1/recurring/invoices/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "rrule": "<string>",
  "memo": "<string>",
  "name": "<string>",
  "date": "2023-12-25",
  "company_id": 123,
  "record_payload": {
    "date": "2023-12-25",
    "transaction_date": "2023-12-25",
    "custom_fields": [
      {}
    ],
    "items": [
      {
        "item_id": 123,
        "quantity": 123,
        "rate": 123,
        "position": 123,
        "memo": "<string>",
        "discount_value": 123,
        "discount_account_id": 123,
        "record_level_discount_amount": 123,
        "tax": {
          "code": "<string>",
          "rate": 123,
          "amount": 123,
          "is_taxable": true,
          "tax_exempt_amount": 123,
          "vat_rate_id": 123,
          "gst_tax_rate_id": 123
        },
        "id": 123,
        "classifications": [],
        "company_id": 123
      }
    ],
    "discount_value": 123,
    "memo": "<string>",
    "due_date": "2023-12-25",
    "company_id": 123,
    "customer_id": 123,
    "exchange_rate": 123,
    "bill_to_address": "",
    "billing_address": {
      "street": "<string>",
      "city": "<string>",
      "postal_code": "<string>",
      "state": "",
      "country": "",
      "second_line": "",
      "name": "<string>"
    },
    "ship_to_address": "",
    "shipping_address": {
      "street": "<string>",
      "city": "<string>",
      "postal_code": "<string>",
      "state": "",
      "country": "",
      "second_line": "",
      "name": "<string>"
    },
    "sales_order_id": 123,
    "record_status": "posted",
    "attachments": [],
    "contracted": false,
    "contract_id": 123,
    "term_id": 123,
    "reference_number": "",
    "ar_account_id": 123,
    "payment": {
      "type": "<string>",
      "id": 123,
      "body": "<string>",
      "link": "<string>"
    }
  }
}
'
{
  "internal_id": 123,
  "number": 123,
  "name": "<string>",
  "memo": "<string>",
  "date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "record_payload": "<unknown>",
  "rrule": "<string>",
  "next_occurrence": "2023-11-07T05:31:56Z",
  "last_generated": "2023-11-07T05:31:56Z",
  "records": [
    {
      "internal_id": 123,
      "number": 123,
      "date": "2023-12-25",
      "amount": "<string>"
    }
  ],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json
rrule
string<rrule>
required

Recurrence rule in iCalendar RRULE format (RFC 5545)

Required string length: 8 - 500
Pattern: ^FREQ=(DAILY|WEEKLY|MONTHLY|YEARLY)(?:;.*)?$
Examples:

"FREQ=DAILY"

"FREQ=WEEKLY;BYDAY=MO,WE,FR"

"FREQ=MONTHLY;BYMONTHDAY=15"

"FREQ=YEARLY;BYMONTH=12;BYMONTHDAY=25"

"FREQ=MONTHLY;BYDAY=1MO"

"FREQ=WEEKLY;INTERVAL=2;BYDAY=TU,TH"

"FREQ=MONTHLY;BYMONTHDAY=1;COUNT=12"

"FREQ=DAILY;UNTIL=20241231T235959Z"

"FREQ=WEEKLY;WKST=SU;BYDAY=MO,TU,WE,TH,FR"

memo
string
required
name
string
required
date
string<date>
required
company_id
integer
required
status
enum<string>
required
Available options:
active,
inactive
recurring_type
enum<string>
required
Available options:
automatic,
reminder
record_payload
PublicInvoiceSchemaCreateIn · object
required

Response

OK

internal_id
integer
required
number
integer
required
name
string
required
memo
string
required
date
string<date>
required
company_id
integer
required
company_name
string
required
company_currency
string
required
status
enum<string>
required
Available options:
active,
inactive
record_payload
any
required
rrule
string
required
next_occurrence
string<date-time> | null
required
last_generated
string<date-time> | null
required
recurring_type
enum<string>
required
Available options:
automatic,
reminder
records
PublicRecurringRecordSchemaOut · object[]
required
created_by
AuditActorSchemaOut · object

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object

Schema for audit actor information.

Last modified on May 28, 2026